Retrieve GPU stats for machines at a site

View as Markdown

Returns GPU summary stats grouped by GPU name for machines at the specified site.

User must have FORGE_PROVIDER_ADMIN authorization role. The specified site must belong to the Provider.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://carbide-rest-api.carbide.svc.cluster.local/v2/org/$ORG_NAME/carbide/user/current ```

Path parameters

orgstringRequired

Query parameters

siteIdstringRequiredformat: "uuid"
ID of the Site

Response

OK
namestring
GPU name from the MachineCapability record
gpusinteger

Total number of GPUs (summation of all Machine GPU capability counts)

machinesinteger
Number of machines that have this GPU capability

Errors

403
Forbidden Error